Skip to content
WorkRoad home
REST API

Get task preferences

GET
/settings/tasks

The task types the app offers and the colours of overdue and due tasks.

Required scopes: settings:view

Authorization

headerAuthorizationBearer <token>

Response Body

OK

application/json
  1. response
data*
Example Request
curl -X GET 'https://workroad.app/api/v1/settings/tasks' \  -H 'Authorization: Bearer $WORKROAD_API_KEY'
Example Response
{  "data": {    "types": [      "Homework",      "Test",      "Study",      "Project"    ],    "overdueColor": "#ef4444",    "dueTodayColor": "#f97316",    "nearlyDueColor": "#eab308"  }}